#!/usr/bin/python3

from PyQt6.QtWidgets import QLineEdit, QTabBar


class TabTitleEditor(QLineEdit):
    def __init__(self, playlist, parent, index: int):
        super().__init__(playlist.title, parent)

        self.playlist = playlist
        self.tab_bar = parent
        self.index = index

        self.tab_bar.setTabText(index, "")

        self.setFocus()

        self.editingFinished.connect(self.on_edit)

    def on_edit(self):
        self.playlist.rename(self.text())

        self.deleteLater()
        self.tab_bar.setTabButton(self.index, QTabBar.ButtonPosition.RightSide, None)
        self.tab_bar.setTabText(self.index, self.playlist.title)

